Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#33793 - [cairo] Package 'gl', required by 'cairo', not found

Attached to Project: Arch Linux
Opened by John Lindgren (jlindgren) - Sunday, 10 February 2013, 05:26 GMT
Last edited by Andreas Radke (AndyRTR) - Sunday, 10 February 2013, 12:14 GMT
Task Type Bug Report
Category Packages: Testing
Status Closed
Assigned To Jan de Groot (JGC)
Andreas Radke (AndyRTR)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:

After updating cairo from 1.12.12-1 [extra] to 1.12.12-2 [testing], pkg-config can no longer detect cairo. This makes it impossible to build e.g. Audacious.

$ pkg-config --cflags cairo
Package gl was not found in the pkg-config search path.
Perhaps you should add the directory containing `gl.pc'
to the PKG_CONFIG_PATH environment variable
Package 'gl', required by 'cairo', not found
This task depends upon

Closed by  Andreas Radke (AndyRTR)
Sunday, 10 February 2013, 12:14 GMT
Reason for closing:  Not a bug
Additional comments about closing:  add "mesa" to the makedependencies.
Comment by KaiSforza (KaiSforza) - Sunday, 10 February 2013, 10:12 GMT
It seems to require the mesa package, as it contains `gl.pc`.

Loading...